Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.data
Class Key

    java.lang.Object
      com.dbxml.db.core.data.Value
          com.dbxml.db.core.data.Key

All Implemented Interfaces:
  java.lang.Comparable

public final class Key
extends Value

Key extends Value by providing a hash value for the Key.

Constructor Summary
`Key(byte[] data)`
`Key(byte[] data, int pos, int len)`
`Key(java.lang.String data)`
`Key(java.lang.String data, boolean utf8)`
`Key(Value value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `equals(Value value)`
`int` | `getHash()`
`int` | `hashCode()`

Methods inherited from class com.dbxml.db.core.data.Value
`compareTo, compareTo, copyTo, getData, getInputStream, getLength, getOffset, getRawData, startsWith, streamTo, toString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Key

    public Key(Value value)

### Key

    public Key(byte[] data)

### Key

    public Key(byte[] data,
               int pos,
               int len)

### Key

    public Key(java.lang.String data)

### Key

    public Key(java.lang.String data,
               boolean utf8)

Method Detail

### getHash

    public int getHash()

### equals

    public boolean equals(Value value)

  Overrides:
    `equals` in class `Value`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Value`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `Value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group